package com.jasamedika.medifirst2000.service;

import java.util.Map;

import com.jasamedika.medifirst2000.entities.GeneralCheckUp;
import com.jasamedika.medifirst2000.vo.DataGeneralCheckUpVO;
import com.jasamedika.medifirst2000.vo.GeneralCheckUpVO;

/**
 * PAPSirkulasi Service
 * 
 * @author Askur
 */
public interface GeneralCheckUpService<T> extends BaseVoService<GeneralCheckUp, GeneralCheckUpVO, String> {
	Map<String,Object> addGeneralCheckUp(GeneralCheckUpVO vo);
	Map<String,Object> addDataGeneralCheckUp(DataGeneralCheckUpVO vo);
	Map<String,Object> findByPegawaiId(Integer pegawaiId);
}
